--- schema_server.clean.sql	2026-01-13 12:47:53.400175800 +0100
+++ schema_local.clean.sql	2026-01-13 12:48:34.453380500 +0100
@@ -1,28 +1,1124 @@
-CREATE TABLE system_job (id INT AUTO_INCREMENT NOT NULL, code VARCHAR(100) NOT NULL, status VARCHAR(20) NOT NULL, started_at DATETIME DEFAULT NULL, finished_at DATETIME DEFAULT NULL, message LONGTEXT DEFAULT NULL, UNIQUE INDEX UNIQ_36604A2377153098 (code), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE `utf8mb4_unicode_ci` ENGINE = InnoDB;
-ALTER TABLE value_declination DROP parent_name;
-ALTER TABLE produit_declination_value CHANGE buying_price_ttc buying_price_ttc NUMERIC(12, 3) NOT NULL COMMENT 'Prix d''achat TTC (héritage)';
-ALTER TABLE stock CHANGE qt_stock qt_stock INT DEFAULT 0 NOT NULL COMMENT 'Quantité physique en stock. La quantité disponible à la vente est qt_stock - qt_reserved';
-CREATE UNIQUE INDEX uniq_statut_document_nom ON statut_document (nom);
-ALTER TABLE link DROP icon, DROP supplier_id, DROP source_id, CHANGE user_id user_id INT NOT NULL;
-ALTER TABLE link ADD CONSTRAINT FK_36AC99F17749CC15 FOREIGN KEY (link_source_id) REFERENCES link_source (id);
-ALTER TABLE `right` CHANGE description description LONGTEXT DEFAULT NULL, CHANGE module_order module_order INT DEFAULT 0 NOT NULL;
-ALTER TABLE return_reason CHANGE display_order display_order INT DEFAULT 0 NOT NULL;
-ALTER TABLE produit DROP FOREIGN KEY FK_29A5EC275740FE34;
-DROP INDEX IDX_29A5EC275740FE34 ON produit;
-ALTER TABLE produit DROP principal_category_id, CHANGE reason_of_delete reason_of_delete LONGTEXT DEFAULT NULL, CHANGE show_in_web_site show_in_web_site TINYINT(1) DEFAULT 1 NOT NULL;
-ALTER TABLE produit ADD CONSTRAINT FK_29A5EC272ADD6D8C FOREIGN KEY (supplier_id) REFERENCES supplier (id);
-CREATE INDEX IDX_29A5EC272ADD6D8C ON produit (supplier_id);
-ALTER TABLE produit RENAME INDEX fk_produit_buy_tva TO IDX_29A5EC271695FFB8;
-ALTER TABLE user_post CHANGE is_active is_active TINYINT(1) NOT NULL;
-ALTER TABLE pack ADD produit1_id INT DEFAULT NULL, ADD produit2_id INT DEFAULT NULL, ADD remise DOUBLE PRECISION DEFAULT NULL;
-ALTER TABLE pack ADD CONSTRAINT FK_97DE5E23FC0C3279 FOREIGN KEY (produit1_id) REFERENCES produit (id);
-ALTER TABLE pack ADD CONSTRAINT FK_97DE5E23EEB99D97 FOREIGN KEY (produit2_id) REFERENCES produit (id);
-CREATE INDEX IDX_97DE5E23FC0C3279 ON pack (produit1_id);
-CREATE INDEX IDX_97DE5E23EEB99D97 ON pack (produit2_id);
-ALTER TABLE promotion CHANGE quntity_user quantity_user INT DEFAULT NULL;
-ALTER TABLE region DROP country, CHANGE country_id country_id INT NOT NULL, CHANGE is_active is_active TINYINT(1) NOT NULL;
-ALTER TABLE stock_movement CHANGE id id INT AUTO_INCREMENT NOT NULL, CHANGE created_at created_at DATETIME NOT NULL;
-ALTER TABLE users DROP second_adress, DROP tariff_category, DROP client_type, CHANGE civility civility VARCHAR(255) DEFAULT NULL;
-ALTER TABLE users RENAME INDEX fk_users_user_post TO IDX_1483A5E913841D26;
-ALTER TABLE slider ADD cta_label VARCHAR(100) DEFAULT NULL, ADD display_mode VARCHAR(32) DEFAULT 'full' NOT NULL, DROP created_at, CHANGE is_active is_active TINYINT(1) DEFAULT NULL, CHANGE `order` `order` INT NOT NULL;
-ALTER TABLE supplier CHANGE email email VARCHAR(180) DEFAULT NULL;
+--
+-- Host: localhost    Database: sunshiladmin
+-- ------------------------------------------------------
+-- Server version	8.0.30
+
+
+--
+-- Table structure for table `activity`
+--
+
+DROP TABLE IF EXISTS `activity`;
+CREATE TABLE `activity` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `current_user_id` int DEFAULT NULL,
+  `document_id` int DEFAULT NULL,
+  `produit_id` int DEFAULT NULL,
+  `produit_declination_id` int DEFAULT NULL,
+  `stock_id` int DEFAULT NULL,
+  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `message` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `created_at` datetime NOT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_AC74095AD635610` (`current_user_id`),
+  KEY `IDX_AC74095AC33F7837` (`document_id`),
+  KEY `IDX_AC74095AF347EFB` (`produit_id`),
+  KEY `IDX_AC74095AF8040847` (`produit_declination_id`),
+  KEY `IDX_AC74095ADCD6110` (`stock_id`),
+  CONSTRAINT `FK_AC74095AC33F7837` FOREIGN KEY (`document_id`) REFERENCES `document` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_AC74095AD635610` FOREIGN KEY (`current_user_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_AC74095ADCD6110` FOREIGN KEY (`stock_id`) REFERENCES `stock` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_AC74095AF347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_AC74095AF8040847` FOREIGN KEY (`produit_declination_id`) REFERENCES `produit_declination_value` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=409054 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `address`
+--
+
+DROP TABLE IF EXISTS `address`;
+CREATE TABLE `address` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `user_id` int DEFAULT NULL,
+  `address` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `country` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `region` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `zip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `supplier_id` int DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_D4E6F81A76ED395` (`user_id`),
+  KEY `IDX_D4E6F812ADD6D8C` (`supplier_id`),
+  CONSTRAINT `FK_D4E6F812ADD6D8C` FOREIGN KEY (`supplier_id`) REFERENCES `supplier` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D4E6F81A76ED395` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=345 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `cancel_reason`
+--
+
+DROP TABLE IF EXISTS `cancel_reason`;
+CREATE TABLE `cancel_reason` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) NOT NULL,
+  `description` longtext,
+  `is_active` tinyint(1) NOT NULL,
+  `display_order` int NOT NULL,
+  `category` varchar(20) NOT NULL DEFAULT 'client',
+  PRIMARY KEY (`id`),
+  UNIQUE KEY `UNIQ_F99F13D65E237E06` (`name`)
+) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
+
+--
+-- Table structure for table `category`
+--
+
+DROP TABLE IF EXISTS `category`;
+CREATE TABLE `category` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `parent_id` int DEFAULT NULL,
+  `icon` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `show_in_homepage` tinyint(1) NOT NULL,
+  `show_in_menu` tinyint(1) NOT NULL,
+  `is_active` tinyint(1) NOT NULL,
+  `order` int NOT NULL,
+  `homepage_order` int NOT NULL,
+  `aspect_ratio` double DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_64C19C1727ACA70` (`parent_id`),
+  CONSTRAINT `FK_64C19C1727ACA70` FOREIGN KEY (`parent_id`) REFERENCES `category` (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=110 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `client_type`
+--
+
+DROP TABLE IF EXISTS `client_type`;
+CREATE TABLE `client_type` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `code` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `label` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `color` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `min_total_amount` decimal(10,2) DEFAULT NULL,
+  `min_valid_orders_count` int DEFAULT NULL,
+  `min_total_orders_count` int DEFAULT NULL,
+  `min_cancel_rate` double DEFAULT NULL,
+  `max_cancel_rate` double DEFAULT NULL,
+  `min_return_rate` double DEFAULT NULL,
+  `max_return_rate` double DEFAULT NULL,
+  `inactivity_months` int DEFAULT NULL,
+  `priority` int NOT NULL,
+  `is_active` tinyint(1) NOT NULL,
+  `description` longtext COLLATE utf8mb4_unicode_ci,
+  `operator` varchar(3) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'and',
+  PRIMARY KEY (`id`),
+  UNIQUE KEY `UNIQ_CLIENT_TYPE_CODE` (`code`),
+  KEY `IDX_CLIENT_TYPE_ACTIVE` (`is_active`),
+  KEY `IDX_CLIENT_TYPE_PRIORITY` (`priority`)
+) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `comment`
+--
+
+DROP TABLE IF EXISTS `comment`;
+CREATE TABLE `comment` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `document_id` int DEFAULT NULL,
+  `child_comment_id` int DEFAULT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `user_id` int DEFAULT NULL,
+  `document_comment_id` int DEFAULT NULL,
+  `create_at` datetime NOT NULL,
+  `produit_id` int DEFAULT NULL,
+  `client_id` int DEFAULT NULL,
+  `supplier_id` int DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_9474526CC33F7837` (`document_id`),
+  KEY `IDX_9474526C1CB68378` (`child_comment_id`),
+  KEY `IDX_9474526CA76ED395` (`user_id`),
+  KEY `IDX_9474526C59AAD645` (`document_comment_id`),
+  KEY `IDX_9474526CF347EFB` (`produit_id`),
+  KEY `IDX_9474526C19EB6921` (`client_id`),
+  KEY `IDX_9474526C2ADD6D8C` (`supplier_id`),
+  CONSTRAINT `FK_9474526C1CB68378` FOREIGN KEY (`child_comment_id`) REFERENCES `comment` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_9474526C2ADD6D8C` FOREIGN KEY (`supplier_id`) REFERENCES `supplier` (`id`),
+  CONSTRAINT `FK_9474526C59AAD645` FOREIGN KEY (`document_comment_id`) REFERENCES `document` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_9474526CA76ED395` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_9474526CC33F7837` FOREIGN KEY (`document_id`) REFERENCES `document` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_9474526CF347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_Client_comment` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=91460 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `company`
+--
+
+DROP TABLE IF EXISTS `company`;
+CREATE TABLE `company` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `footer_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `address` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `region` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `phone` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `mobile` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `social_links` json DEFAULT NULL,
+  `updated_at` datetime NOT NULL,
+  `tva` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `website` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `mail` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `zip` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `tva_rate` decimal(5,2) DEFAULT NULL,
+  `homepage_columns` int DEFAULT NULL,
+  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `description` longtext COLLATE utf8mb4_unicode_ci,
+  `keywords` longtext COLLATE utf8mb4_unicode_ci,
+  `theme_vars` json DEFAULT NULL,
+  `homepage_benefits` json DEFAULT NULL,
+  `homepage_mode` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `homepage_order` int DEFAULT NULL,
+  `category_url_type` int DEFAULT '0',
+  `mixed_aspect_ratio` double DEFAULT '0.8',
+  `show_out_of_stock` tinyint(1) NOT NULL DEFAULT '0',
+  `new_product_days` int DEFAULT NULL,
+  `top_sales_period` int DEFAULT '30',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `country`
+--
+
+DROP TABLE IF EXISTS `country`;
+CREATE TABLE `country` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `code` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `is_active` tinyint(1) NOT NULL,
+  PRIMARY KEY (`id`),
+  UNIQUE KEY `UNIQ_5373C96677153098` (`code`)
+) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `declination`
+--
+
+DROP TABLE IF EXISTS `declination`;
+CREATE TABLE `declination` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `position` int DEFAULT NULL,
+  `display_in_filter` tinyint(1) NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `declination_produit`
+--
+
+DROP TABLE IF EXISTS `declination_produit`;
+CREATE TABLE `declination_produit` (
+  `declination_id` int NOT NULL,
+  `produit_id` int NOT NULL,
+  PRIMARY KEY (`declination_id`,`produit_id`),
+  KEY `IDX_C5F9EBF39941A932` (`declination_id`),
+  KEY `IDX_C5F9EBF3F347EFB` (`produit_id`),
+  CONSTRAINT `FK_C5F9EBF39941A932` FOREIGN KEY (`declination_id`) REFERENCES `declination` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
+  CONSTRAINT `FK_C5F9EBF3F347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `delivery`
+--
+
+DROP TABLE IF EXISTS `delivery`;
+CREATE TABLE `delivery` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `logo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `price` double NOT NULL,
+  `total_price` double NOT NULL,
+  `is_selected` tinyint(1) DEFAULT NULL,
+  `is_active` tinyint(1) DEFAULT NULL,
+  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `deleted_at` datetime DEFAULT NULL,
+  `address` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `tva` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `return_price` double DEFAULT NULL,
+  `note` longtext COLLATE utf8mb4_unicode_ci,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `doctrine_migration_versions`
+--
+
+DROP TABLE IF EXISTS `doctrine_migration_versions`;
+CREATE TABLE `doctrine_migration_versions` (
+  `version` varchar(191) CHARACTER SET utf8mb3 COLLATE utf8mb3_unicode_ci NOT NULL,
+  `executed_at` datetime DEFAULT NULL,
+  `execution_time` int DEFAULT NULL,
+  PRIMARY KEY (`version`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_unicode_ci;
+
+--
+-- Table structure for table `document`
+--
+
+DROP TABLE IF EXISTS `document`;
+CREATE TABLE `document` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `status` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `category` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `payment_status` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'non-paye',
+  `created_at` datetime NOT NULL,
+  `shipped_at` datetime DEFAULT NULL,
+  `delivered_at` datetime DEFAULT NULL,
+  `returned_at` datetime DEFAULT NULL,
+  `promised_at` datetime DEFAULT NULL COMMENT 'Date promise client/fournisseur',
+  `updated_at` datetime DEFAULT NULL,
+  `bonrecu_at` datetime DEFAULT NULL,
+  `a_payer_le` datetime DEFAULT NULL,
+  `paid_at` datetime DEFAULT NULL,
+  `refunded_at` datetime DEFAULT NULL,
+  `condition_document` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
+  `internal_nbr` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `external_nbr` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `payment_deadline` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `object` longtext COLLATE utf8mb4_unicode_ci,
+  `note` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `source_id` int DEFAULT NULL,
+  `total_amount_ht` decimal(12,3) NOT NULL DEFAULT '0.000' COMMENT 'Total HT brut (avant remise document)',
+  `total_tva` decimal(12,3) NOT NULL DEFAULT '0.000',
+  `discount` double DEFAULT NULL,
+  `discount_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `total_amount_ttc` decimal(12,3) NOT NULL DEFAULT '0.000' COMMENT 'Total TTC net (après remise document)',
+  `total_paid` decimal(12,3) NOT NULL DEFAULT '0.000' COMMENT 'Total des encaissements TTC',
+  `payment_method` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `payment_ref` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `advance_payment` double DEFAULT NULL,
+  `advance_payment_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `parcel_tracking_nbr` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `client_id` int DEFAULT NULL,
+  `user_id` int DEFAULT NULL,
+  `document_id` int DEFAULT NULL,
+  `delivery_id` int DEFAULT NULL,
+  `url_pdf` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `delivery_tva_id` int DEFAULT NULL,
+  `delivery_discount` double DEFAULT NULL,
+  `delivery_discount_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `delivery_price` double DEFAULT NULL,
+  `delivery_total` double DEFAULT NULL,
+  `delivery_company_total` decimal(12,2) DEFAULT NULL,
+  `adress` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `supplier_id` int DEFAULT NULL,
+  `url_tracking` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `packages_nbr` int DEFAULT NULL,
+  `is_free_delivery` tinyint(1) NOT NULL,
+  `updated_by_id` int DEFAULT NULL,
+  `promotion_id` int DEFAULT NULL,
+  `cancel_reason_id` int DEFAULT NULL,
+  `refund_amount` decimal(12,3) DEFAULT NULL,
+  `return_reason_id` int DEFAULT NULL,
+  `refund_reason_id` int DEFAULT NULL,
+  `region` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_D8698A7619EB6921` (`client_id`),
+  KEY `IDX_D8698A76A76ED395` (`user_id`),
+  KEY `IDX_D8698A76C33F7837` (`document_id`),
+  KEY `IDX_D8698A7612136921` (`delivery_id`),
+  KEY `IDX_D8698A7653688ED1` (`delivery_tva_id`),
+  KEY `IDX_D8698A762ADD6D8C` (`supplier_id`),
+  KEY `IDX_D8698A76896DBBDE` (`updated_by_id`),
+  KEY `IDX_D8698A76139DF194` (`promotion_id`),
+  KEY `IDX_D8698A76953C1C61` (`source_id`) USING BTREE,
+  KEY `IDX_D8698A76EE1A430C` (`cancel_reason_id`),
+  KEY `IDX_D8698A76ACA2AB22` (`return_reason_id`),
+  KEY `IDX_D8698A76C0C3AB1A` (`refund_reason_id`),
+  CONSTRAINT `FK_D8698A7612136921` FOREIGN KEY (`delivery_id`) REFERENCES `delivery` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D8698A76139DF194` FOREIGN KEY (`promotion_id`) REFERENCES `promotion` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D8698A7619EB6921` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D8698A762ADD6D8C` FOREIGN KEY (`supplier_id`) REFERENCES `supplier` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D8698A7653688ED1` FOREIGN KEY (`delivery_tva_id`) REFERENCES `tva` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D8698A7689329D25` FOREIGN KEY (`source_id`) REFERENCES `source` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D8698A76896DBBDE` FOREIGN KEY (`updated_by_id`) REFERENCES `users` (`id`),
+  CONSTRAINT `FK_D8698A76A76ED395` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_D8698A76C33F7837` FOREIGN KEY (`document_id`) REFERENCES `document` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `fk_document_cancel_reason` FOREIGN KEY (`cancel_reason_id`) REFERENCES `cancel_reason` (`id`) ON DELETE SET NULL,
+  CONSTRAINT `FK_document_refund_reason` FOREIGN KEY (`refund_reason_id`) REFERENCES `refund_reason` (`id`) ON DELETE SET NULL,
+  CONSTRAINT `FK_document_return_reason` FOREIGN KEY (`return_reason_id`) REFERENCES `return_reason` (`id`) ON DELETE SET NULL
+) ENGINE=InnoDB AUTO_INCREMENT=85419 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `document_declination_produit`
+--
+
+DROP TABLE IF EXISTS `document_declination_produit`;
+CREATE TABLE `document_declination_produit` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `produit_declination_value_id` int DEFAULT NULL,
+  `document_id` int DEFAULT NULL,
+  `reference` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `price_ht` double DEFAULT NULL,
+  `tva_id` int DEFAULT NULL,
+  `price_ttc` double DEFAULT NULL,
+  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `discount` double DEFAULT NULL,
+  `discount_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `quantity` int DEFAULT NULL,
+  `total_amount_ht` double NOT NULL DEFAULT '0' COMMENT 'Total HT brut (avant remise article)',
+  `total_amount_ttc` double NOT NULL DEFAULT '0' COMMENT 'Total TTC net (après remise article)',
+  `unite` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `created_at` datetime NOT NULL,
+  `comment` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  PRIMARY KEY (`id`),
+  KEY `IDX_1C236F884D79775F` (`tva_id`),
+  KEY `IDX_1C236F888B05D224` (`produit_declination_value_id`),
+  KEY `IDX_1C236F88C33F7837` (`document_id`),
+  CONSTRAINT `FK_1C236F884D79775F` FOREIGN KEY (`tva_id`) REFERENCES `tva` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_1C236F888B05D224` FOREIGN KEY (`produit_declination_value_id`) REFERENCES `produit_declination_value` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_1C236F88C33F7837` FOREIGN KEY (`document_id`) REFERENCES `document` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=216391 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `document_produit`
+--
+
+DROP TABLE IF EXISTS `document_produit`;
+CREATE TABLE `document_produit` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `tva_id` int DEFAULT NULL,
+  `produit_id` int DEFAULT NULL,
+  `document_id` int DEFAULT NULL,
+  `reference` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `price_ht` double DEFAULT NULL,
+  `price_ttc` double DEFAULT NULL,
+  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `discount` double DEFAULT NULL,
+  `discount_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `quantity` int DEFAULT NULL,
+  `unite` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `created_at` datetime NOT NULL,
+  `comment` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `total_amount_ttc` double NOT NULL,
+  `pack_id` int DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_8DCA4AFB4D79775F` (`tva_id`),
+  KEY `IDX_8DCA4AFBF347EFB` (`produit_id`),
+  KEY `IDX_8DCA4AFBC33F7837` (`document_id`),
+  KEY `IDX_8DCA4AFB1919B217` (`pack_id`),
+  CONSTRAINT `FK_8DCA4AFB1919B217` FOREIGN KEY (`pack_id`) REFERENCES `pack` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_8DCA4AFB4D79775F` FOREIGN KEY (`tva_id`) REFERENCES `tva` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_8DCA4AFBC33F7837` FOREIGN KEY (`document_id`) REFERENCES `document` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_8DCA4AFBF347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `document_status`
+--
+
+DROP TABLE IF EXISTS `document_status`;
+CREATE TABLE `document_status` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `label_fr` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext COLLATE utf8mb4_unicode_ci,
+  `context` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  UNIQUE KEY `UNIQ_C562D47A5E237E06` (`name`)
+) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `file`
+--
+
+DROP TABLE IF EXISTS `file`;
+CREATE TABLE `file` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `image_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `updated_at` datetime NOT NULL,
+  `image_size` int NOT NULL,
+  `is_selected` tinyint(1) DEFAULT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=39181 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `group_declination_value`
+--
+
+DROP TABLE IF EXISTS `group_declination_value`;
+CREATE TABLE `group_declination_value` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `produit_declination_id` int NOT NULL,
+  `declination_id` int NOT NULL,
+  `value_id` int NOT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_83C76BAEF8040847` (`produit_declination_id`),
+  KEY `IDX_83C76BAE9941A932` (`declination_id`),
+  KEY `IDX_83C76BAEF920BBA2` (`value_id`),
+  CONSTRAINT `FK_83C76BAE9941A932` FOREIGN KEY (`declination_id`) REFERENCES `declination` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_83C76BAEF8040847` FOREIGN KEY (`produit_declination_id`) REFERENCES `produit_declination_value` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_83C76BAEF920BBA2` FOREIGN KEY (`value_id`) REFERENCES `value_declination` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=34460 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `group_user`
+--
+
+DROP TABLE IF EXISTS `group_user`;
+CREATE TABLE `group_user` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `link`
+--
+
+DROP TABLE IF EXISTS `link`;
+CREATE TABLE `link` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `user_id` int NOT NULL,
+  `link` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `link_source_id` int NOT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_36AC99F1A76ED395` (`user_id`),
+  KEY `IDX_36AC99F17749CC15` (`link_source_id`),
+  CONSTRAINT `FK_36AC99F17749CC15` FOREIGN KEY (`link_source_id`) REFERENCES `link_source` (`id`),
+  CONSTRAINT `FK_36AC99F1A76ED395` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=31040 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `link_source`
+--
+
+DROP TABLE IF EXISTS `link_source`;
+CREATE TABLE `link_source` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `icon` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `is_active` tinyint(1) NOT NULL DEFAULT '1',
+  `color` varchar(16) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `pack`
+--
+
+DROP TABLE IF EXISTS `pack`;
+CREATE TABLE `pack` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `price_ttc` double NOT NULL,
+  `is_archived` tinyint(1) DEFAULT NULL,
+  `produit1_id` int DEFAULT NULL,
+  `produit2_id` int DEFAULT NULL,
+  `remise` float DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_97DE5E23FC0C3279` (`produit1_id`),
+  KEY `IDX_97DE5E23EEB99D97` (`produit2_id`),
+  CONSTRAINT `FK_97DE5E23EEB99D97` FOREIGN KEY (`produit2_id`) REFERENCES `produit` (`id`),
+  CONSTRAINT `FK_97DE5E23FC0C3279` FOREIGN KEY (`produit1_id`) REFERENCES `produit` (`id`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `pack_file`
+--
+
+DROP TABLE IF EXISTS `pack_file`;
+CREATE TABLE `pack_file` (
+  `pack_id` int NOT NULL,
+  `file_id` int NOT NULL,
+  PRIMARY KEY (`pack_id`,`file_id`),
+  KEY `IDX_C51E6FA91919B217` (`pack_id`),
+  KEY `IDX_C51E6FA993CB796C` (`file_id`),
+  CONSTRAINT `FK_C51E6FA91919B217` FOREIGN KEY (`pack_id`) REFERENCES `pack` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
+  CONSTRAINT `FK_C51E6FA993CB796C` FOREIGN KEY (`file_id`) REFERENCES `file` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `pack_produit_declination_value`
+--
+
+DROP TABLE IF EXISTS `pack_produit_declination_value`;
+CREATE TABLE `pack_produit_declination_value` (
+  `pack_id` int NOT NULL,
+  `produit_declination_value_id` int NOT NULL,
+  PRIMARY KEY (`pack_id`,`produit_declination_value_id`),
+  KEY `IDX_C85B20C21919B217` (`pack_id`),
+  KEY `IDX_C85B20C28B05D224` (`produit_declination_value_id`),
+  CONSTRAINT `FK_C85B20C21919B217` FOREIGN KEY (`pack_id`) REFERENCES `pack` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
+  CONSTRAINT `FK_C85B20C28B05D224` FOREIGN KEY (`produit_declination_value_id`) REFERENCES `produit_declination_value` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `parametre`
+--
+
+DROP TABLE IF EXISTS `parametre`;
+CREATE TABLE `parametre` (
+  `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `value` longtext COLLATE utf8mb4_unicode_ci,
+  PRIMARY KEY (`name`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `produit`
+--
+
+DROP TABLE IF EXISTS `produit`;
+CREATE TABLE `produit` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `categories_id` int DEFAULT NULL,
+  `reference` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `usual_quantity` int NOT NULL,
+  `buying_price_ht` double NOT NULL COMMENT 'Prix d''achat HT (référence marge)',
+  `buy_tva_id` int DEFAULT NULL,
+  `buying_price_ttc` double NOT NULL COMMENT 'Prix d''achat TTC (héritage)',
+  `price_ht` double NOT NULL,
+  `tva_id` int DEFAULT NULL,
+  `price_ttc` double NOT NULL,
+  `unit` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `is_stock` tinyint(1) NOT NULL,
+  `is_declination` tinyint(1) NOT NULL,
+  `created_at` datetime NOT NULL,
+  `uuid` int DEFAULT NULL,
+  `promotion_id` int DEFAULT NULL,
+  `information` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `meta_description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `is_archived` tinyint(1) DEFAULT NULL,
+  `deleted_at` datetime DEFAULT NULL,
+  `reason_of_delete` longtext COLLATE utf8mb4_unicode_ci,
+  `best_selection` tinyint(1) DEFAULT NULL,
+  `show_in_web_site` tinyint(1) NOT NULL DEFAULT '1',
+  `supplier_id` int DEFAULT NULL,
+  `material` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `supplier_reference` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `rating_score` double DEFAULT '0',
+  `rating_count` int DEFAULT '0',
+  PRIMARY KEY (`id`),
+  KEY `IDX_29A5EC274D79775F` (`tva_id`),
+  KEY `IDX_29A5EC27139DF194` (`promotion_id`),
+  KEY `IDX_29A5EC27A21214B7` (`categories_id`) USING BTREE,
+  KEY `IDX_29A5EC272ADD6D8C` (`supplier_id`),
+  KEY `IDX_29A5EC271695FFB8` (`buy_tva_id`),
+  CONSTRAINT `FK_29A5EC27139DF194` FOREIGN KEY (`promotion_id`) REFERENCES `promotion` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_29A5EC271695FFB8` FOREIGN KEY (`buy_tva_id`) REFERENCES `tva` (`id`) ON DELETE SET NULL,
+  CONSTRAINT `FK_29A5EC272ADD6D8C` FOREIGN KEY (`supplier_id`) REFERENCES `supplier` (`id`),
+  CONSTRAINT `FK_29A5EC274D79775F` FOREIGN KEY (`tva_id`) REFERENCES `tva` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_29A5EC27A21214B7` FOREIGN KEY (`categories_id`) REFERENCES `category` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=1314 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `produit_declination_value`
+--
+
+DROP TABLE IF EXISTS `produit_declination_value`;
+CREATE TABLE `produit_declination_value` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `produit_id` int NOT NULL,
+  `reference` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `buying_price_ht` decimal(12,3) NOT NULL COMMENT 'Prix d''achat HT (référence marge)',
+  `buying_price_ttc` decimal(12,3) NOT NULL COMMENT 'Prix d''achat TTC (héritage)',
+  `price_ht` double DEFAULT NULL,
+  `created_at` datetime NOT NULL,
+  `uuid` int DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_BE13D6FFF347EFB` (`produit_id`),
+  CONSTRAINT `FK_BE13D6FFF347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=17350 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `produit_declination_value_file`
+--
+
+DROP TABLE IF EXISTS `produit_declination_value_file`;
+CREATE TABLE `produit_declination_value_file` (
+  `produit_declination_value_id` int NOT NULL,
+  `file_id` int NOT NULL,
+  PRIMARY KEY (`produit_declination_value_id`,`file_id`),
+  KEY `IDX_7CC7F9DD8B05D224` (`produit_declination_value_id`),
+  KEY `IDX_7CC7F9DD93CB796C` (`file_id`),
+  CONSTRAINT `FK_7CC7F9DD8B05D224` FOREIGN KEY (`produit_declination_value_id`) REFERENCES `produit_declination_value` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
+  CONSTRAINT `FK_7CC7F9DD93CB796C` FOREIGN KEY (`file_id`) REFERENCES `file` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `produit_file`
+--
+
+DROP TABLE IF EXISTS `produit_file`;
+CREATE TABLE `produit_file` (
+  `produit_id` int NOT NULL,
+  `file_id` int NOT NULL,
+  PRIMARY KEY (`produit_id`,`file_id`),
+  KEY `IDX_A5074BFFF347EFB` (`produit_id`),
+  KEY `IDX_A5074BFF93CB796C` (`file_id`),
+  CONSTRAINT `FK_A5074BFF93CB796C` FOREIGN KEY (`file_id`) REFERENCES `file` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
+  CONSTRAINT `FK_A5074BFFF347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `produit_promotion_history`
+--
+
+DROP TABLE IF EXISTS `produit_promotion_history`;
+CREATE TABLE `produit_promotion_history` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `product_id` int NOT NULL,
+  `promotion_id` int NOT NULL,
+  `started_at` datetime NOT NULL COMMENT '(DC2Type:datetime_immutable)',
+  `ended_at` datetime DEFAULT NULL COMMENT '(DC2Type:datetime_immutable)',
+  `started_by` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `ended_by` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `end_reason` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `end_note` longtext COLLATE utf8mb4_unicode_ci,
+  PRIMARY KEY (`id`),
+  KEY `IDX_9C57141CD46F4E3` (`started_at`),
+  KEY `IDX_9C57141C1C3D1565` (`ended_at`),
+  KEY `IDX_9C57141C4584665A` (`product_id`),
+  KEY `IDX_9C57141C139DF194` (`promotion_id`),
+  CONSTRAINT `FK_PPH_PRODUCT` FOREIGN KEY (`product_id`) REFERENCES `produit` (`id`) ON DELETE CASCADE,
+  CONSTRAINT `FK_PPH_PROMO` FOREIGN KEY (`promotion_id`) REFERENCES `promotion` (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `produit_tag`
+--
+
+DROP TABLE IF EXISTS `produit_tag`;
+CREATE TABLE `produit_tag` (
+  `produit_id` int NOT NULL,
+  `tag_id` int NOT NULL,
+  PRIMARY KEY (`produit_id`,`tag_id`),
+  KEY `IDX_423DC0FAF347EFB` (`produit_id`),
+  KEY `IDX_423DC0FABAD26311` (`tag_id`),
+  CONSTRAINT `FK_423DC0FABAD26311` FOREIGN KEY (`tag_id`) REFERENCES `tag` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
+  CONSTRAINT `FK_423DC0FAF347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `promotion`
+--
+
+DROP TABLE IF EXISTS `promotion`;
+CREATE TABLE `promotion` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `created_at` datetime NOT NULL,
+  `start_at` datetime NOT NULL,
+  `end_at` datetime NOT NULL,
+  `discount_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `discount_value` double DEFAULT NULL,
+  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `quantity_user` int DEFAULT NULL,
+  `total_quantity` int DEFAULT NULL,
+  `is_enabled` tinyint(1) NOT NULL DEFAULT '1',
+  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `refund_reason`
+--
+
+DROP TABLE IF EXISTS `refund_reason`;
+CREATE TABLE `refund_reason` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext COLLATE utf8mb4_unicode_ci,
+  `display_order` int NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `region`
+--
+
+DROP TABLE IF EXISTS `region`;
+CREATE TABLE `region` (
+  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `is_active` tinyint(1) NOT NULL,
+  `country_id` int NOT NULL,
+  PRIMARY KEY (`name`),
+  KEY `IDX_F62F176F92F3E70` (`country_id`),
+  CONSTRAINT `FK_F62F176F92F3E70` FOREIGN KEY (`country_id`) REFERENCES `country` (`id`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `return_reason`
+--
+
+DROP TABLE IF EXISTS `return_reason`;
+CREATE TABLE `return_reason` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) NOT NULL,
+  `description` longtext,
+  `display_order` int NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;
+
+--
+-- Table structure for table `right`
+--
+
+DROP TABLE IF EXISTS `right`;
+CREATE TABLE `right` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `module_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `module_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext COLLATE utf8mb4_unicode_ci,
+  `module_order` int NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `right_group_user`
+--
+
+DROP TABLE IF EXISTS `right_group_user`;
+CREATE TABLE `right_group_user` (
+  `right_id` int NOT NULL,
+  `group_user_id` int NOT NULL,
+  PRIMARY KEY (`right_id`,`group_user_id`),
+  KEY `IDX_B698D55F54976835` (`right_id`),
+  KEY `IDX_B698D55F216E8799` (`group_user_id`),
+  CONSTRAINT `FK_B698D55F216E8799` FOREIGN KEY (`group_user_id`) REFERENCES `group_user` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
+  CONSTRAINT `FK_B698D55F54976835` FOREIGN KEY (`right_id`) REFERENCES `right` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `slider`
+--
+
+DROP TABLE IF EXISTS `slider`;
+CREATE TABLE `slider` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `is_active` tinyint(1) DEFAULT NULL,
+  `order` int NOT NULL,
+  `cta_label` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `display_mode` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'full',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `source`
+--
+
+DROP TABLE IF EXISTS `source`;
+CREATE TABLE `source` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `is_default` tinyint(1) DEFAULT NULL,
+  `icon` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Classe d’icône FontAwesome',
+  `color` varchar(16) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Couleur hex pour les graphiques',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `statut_document`
+--
+
+DROP TABLE IF EXISTS `statut_document`;
+CREATE TABLE `statut_document` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `nom` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `libelle` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `couleur` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  UNIQUE KEY `uniq_statut_document_nom` (`nom`)
+) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `stock`
+--
+
+DROP TABLE IF EXISTS `stock`;
+CREATE TABLE `stock` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `produit_id` int DEFAULT NULL,
+  `declination_produit_id` int DEFAULT NULL,
+  `qt_stock` int NOT NULL DEFAULT '0' COMMENT 'Quantité physique en stock. La quantité disponible à la vente est qt_stock - qt_reserved',
+  `qt_reserved` int NOT NULL,
+  `storehouse` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_4B365660F347EFB` (`produit_id`),
+  KEY `IDX_4B365660A82868E3` (`declination_produit_id`),
+  CONSTRAINT `FK_4B365660A82868E3` FOREIGN KEY (`declination_produit_id`) REFERENCES `produit_declination_value` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_4B365660F347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=17354 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `stock_movement`
+--
+
+DROP TABLE IF EXISTS `stock_movement`;
+CREATE TABLE `stock_movement` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `produit_id` int DEFAULT NULL,
+  `declination_produit_id` int DEFAULT NULL,
+  `storehouse` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `created_at` datetime NOT NULL,
+  `source_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `source_id` int DEFAULT NULL,
+  `delta_available` decimal(18,3) NOT NULL,
+  `delta_reserved` decimal(18,3) NOT NULL DEFAULT '0.000',
+  `qty_before_available` decimal(18,3) NOT NULL,
+  `qty_after_available` decimal(18,3) NOT NULL,
+  `qty_before_reserved` decimal(18,3) NOT NULL,
+  `qty_after_reserved` decimal(18,3) NOT NULL,
+  `reason` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `note` longtext COLLATE utf8mb4_unicode_ci,
+  `actor_id` int DEFAULT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Historique détaillé des mouvements de stock';
+
+--
+-- Table structure for table `supplier`
+--
+
+DROP TABLE IF EXISTS `supplier`;
+CREATE TABLE `supplier` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(180) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `raison_sociale` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `logo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `civility` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `email` varchar(180) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `second_phone` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `adress` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `second_adress` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `country` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `region` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `tariff_category` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `identifiant_fiscal` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `zip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `created_at` datetime NOT NULL,
+  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `is_active` tinyint(1) NOT NULL DEFAULT '1',
+  `iban` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `bank_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `name_responsable` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `phone_responsible1` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `phone_responsible2` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=52 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `supplier_produit`
+--
+
+DROP TABLE IF EXISTS `supplier_produit`;
+CREATE TABLE `supplier_produit` (
+  `produit_id` int NOT NULL,
+  `user_id` int NOT NULL,
+  PRIMARY KEY (`produit_id`,`user_id`),
+  KEY `IDX_A8C09838F347EFB` (`produit_id`),
+  KEY `IDX_A8C09838A76ED395` (`user_id`),
+  CONSTRAINT `FK_A8C09838A76ED395` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_A8C09838F347EFB` FOREIGN KEY (`produit_id`) REFERENCES `produit` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `system_job`
+--
+
+DROP TABLE IF EXISTS `system_job`;
+CREATE TABLE `system_job` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `code` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `started_at` datetime DEFAULT NULL,
+  `finished_at` datetime DEFAULT NULL,
+  `message` longtext COLLATE utf8mb4_unicode_ci,
+  PRIMARY KEY (`id`),
+  UNIQUE KEY `UNIQ_36604A2377153098` (`code`)
+) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `tag`
+--
+
+DROP TABLE IF EXISTS `tag`;
+CREATE TABLE `tag` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `tva`
+--
+
+DROP TABLE IF EXISTS `tva`;
+CREATE TABLE `tva` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `number` double NOT NULL,
+  `is_default` tinyint(1) NOT NULL DEFAULT '0',
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `user_post`
+--
+
+DROP TABLE IF EXISTS `user_post`;
+CREATE TABLE `user_post` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `name` varchar(100) NOT NULL,
+  `description` varchar(255) DEFAULT NULL,
+  `is_active` tinyint(1) NOT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
+
+--
+-- Table structure for table `user_promotion_history`
+--
+
+DROP TABLE IF EXISTS `user_promotion_history`;
+CREATE TABLE `user_promotion_history` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `user_id` int NOT NULL,
+  `promotion_id` int NOT NULL,
+  `started_at` datetime NOT NULL COMMENT '(DC2Type:datetime_immutable)',
+  `ended_at` datetime DEFAULT NULL COMMENT '(DC2Type:datetime_immutable)',
+  `started_by` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `ended_by` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `end_reason` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `end_note` longtext COLLATE utf8mb4_unicode_ci,
+  PRIMARY KEY (`id`),
+  KEY `IDX_87D83D5AD46F4E3` (`started_at`),
+  KEY `IDX_87D83D5A1C3D1565` (`ended_at`),
+  KEY `IDX_87D83D5AA76ED395` (`user_id`),
+  KEY `IDX_87D83D5A139DF194` (`promotion_id`),
+  CONSTRAINT `FK_USER_PROMO_HISTORY_PROMO` FOREIGN KEY (`promotion_id`) REFERENCES `promotion` (`id`),
+  CONSTRAINT `FK_USER_PROMO_HISTORY_USER` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
+) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `users`
+--
+
+DROP TABLE IF EXISTS `users`;
+CREATE TABLE `users` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `username` varchar(180) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `created_at` datetime NOT NULL,
+  `roles` json NOT NULL,
+  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `civility` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `first_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `second_phone` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `adress` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
+  `country` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `region` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `zip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `is_verified` tinyint(1) NOT NULL,
+  `is_blocked` tinyint(1) NOT NULL DEFAULT '0',
+  `blocked_at` datetime DEFAULT NULL,
+  `unblocked_at` datetime DEFAULT NULL,
+  `blocked_hours` json DEFAULT NULL,
+  `block_reason` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `user_post_id` int DEFAULT NULL,
+  `supplier_id` int DEFAULT NULL,
+  `promotion_id` int DEFAULT NULL,
+  `group_user_id` int DEFAULT NULL,
+  `client_type_id` int DEFAULT NULL,
+  `client_type_locked` tinyint(1) NOT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_1483A5E92ADD6D8C` (`supplier_id`),
+  KEY `IDX_1483A5E9139DF194` (`promotion_id`),
+  KEY `IDX_1483A5E9216E8799` (`group_user_id`),
+  KEY `IDX_1483A5E913841D26` (`user_post_id`),
+  KEY `IDX_1483A5E99771C8EE` (`client_type_id`),
+  CONSTRAINT `FK_1483A5E9139DF194` FOREIGN KEY (`promotion_id`) REFERENCES `promotion` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_1483A5E9216E8799` FOREIGN KEY (`group_user_id`) REFERENCES `group_user` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_1483A5E92ADD6D8C` FOREIGN KEY (`supplier_id`) REFERENCES `supplier` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_USERS_CLIENT_TYPE` FOREIGN KEY (`client_type_id`) REFERENCES `client_type` (`id`) ON DELETE SET NULL,
+  CONSTRAINT `FK_USERS_USER_POST` FOREIGN KEY (`user_post_id`) REFERENCES `user_post` (`id`) ON DELETE SET NULL
+) ENGINE=InnoDB AUTO_INCREMENT=157900 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `value_declination`
+--
+
+DROP TABLE IF EXISTS `value_declination`;
+CREATE TABLE `value_declination` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `declination_id` int DEFAULT NULL,
+  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
+  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `parent_id` int DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  KEY `IDX_FFADEE669941A932` (`declination_id`),
+  KEY `IDX_FFADEE66727ACA70` (`parent_id`),
+  CONSTRAINT `FK_FFADEE66727ACA70` FOREIGN KEY (`parent_id`) REFERENCES `value_declination` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
+  CONSTRAINT `FK_FFADEE669941A932` FOREIGN KEY (`declination_id`) REFERENCES `declination` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
+) ENGINE=InnoDB AUTO_INCREMENT=573 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Table structure for table `website_setting`
+--
+
+DROP TABLE IF EXISTS `website_setting`;
+CREATE TABLE `website_setting` (
+  `id` int NOT NULL AUTO_INCREMENT,
+  `key` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
+  `value_string` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `value_int` int DEFAULT NULL,
+  `value_float` double DEFAULT NULL,
+  `value_bool` tinyint(1) DEFAULT NULL,
+  `value_json` json DEFAULT NULL,
+  `value_text` longtext COLLATE utf8mb4_unicode_ci,
+  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  `updated_at` datetime NOT NULL COMMENT '(DC2Type:datetime_immutable)',
+  `section` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
+  PRIMARY KEY (`id`),
+  UNIQUE KEY `UNIQ_335AC43C8A90ABA9` (`key`)
+) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
+
+--
+-- Dumping events for database 'sunshiladmin'
+--
+
+--
+-- Dumping routines for database 'sunshiladmin'
+--
+
+
